### File

`src/pagination/pagination-model.class.ts`

### Index

###### Properties

- currentPage
- pageLength
- totalDataLength

### Properties

currentPage
`currentPage: `number``
Type : `number`
Defined in src/pagination/pagination-model.class.ts:8
Tracks the current page.

pageLength
`pageLength: `number``
Type : `number`
Defined in src/pagination/pagination-model.class.ts:16
Length of page.

totalDataLength
`totalDataLength: `number``
Type : `number`
Defined in src/pagination/pagination-model.class.ts:25
Absolute total number of items needed to paginate.

    export class PaginationModel {
    	/**
    	 * Tracks the current page.
    	 *
    	 * @type {number}
    	 * @memberof PaginationModel
    	 */
    	currentPage: number;

    	/**
    	 * Length of page.
    	 *
    	 * @type {number}
    	 * @memberof PaginationModel
    	 */
    	pageLength: number;

    	/**
    	 * Absolute total number of items needed to paginate.
    	 *
    	 * @protected
    	 * @type {number}
    	 * @memberof PaginationModel
    	 */
    	totalDataLength: number;
    }

# result-matching ""

# No results matching ""